/// <reference path="jquery.d.ts" />
/// <reference path="lodash.d.ts" />
/// <reference path="three.d.ts" />
declare function makeText(params?: any): JQuery;
declare class Label {
    text: JQuery;
    private _newText;
    private _newX;
    private _newY;
    constructor(text?: JQuery);
    setText(text1: string): void;
    reposition(obj: any, dx?: number, dy?: number): void;
    update(): void;
    remove(): void;
}
declare class LabelManager {
    renderer: THREE.WebGLRenderer;
    camera: THREE.Camera;
    static instance: LabelManager;
    private _labels;
    constructor(renderer: THREE.WebGLRenderer, camera: THREE.Camera);
    createLabel(): Label;
    removeLabel(l: Label): void;
    toScreenPosition(obj: any): {
        x: number;
        y: number;
        z: number;
    };
}
